# TODOs

-   Investigate whether the two recently introduced functions `qs::qattributes()` (read only attrs from saved objs) and `qs::qread_url()` (read qs from remote
    URL) could be of any use for pkgpins (doing anything with the latter would probably break the pins concept; but the former could be of interest...)

-   Migrate to the [qs2](https://github.com/qsbase/qs2) package?

-   Submit to CRAN

-   Propose pkgpins usage for packages

    -   [BFS](https://github.com/lgnbhl/BFS)
    -   [swissdd](https://politanch.github.io/swissdd/) (unsure if caching makes sense -\> investigate!)
    -   [swissparl](https://github.com/zumbov2/swissparl)
